MONGOC_COLLECTION_GET_LAST_ERROR(3)

NAME
mongoc_collection_get_last_error() - The mongoc_collection_get_last_error() function shall return getLastError document, according to write_concern on last executed command for current collection instance.

SYNOPSIS

const bson_t *
mongoc_collection_get_last_error (const mongoc_collection_t *collection);

PARAMETERS

collection
    A mongoc_collection_t \&.

DESCRIPTION

The mongoc_collection_get_last_error() function shall return getLastError document, according to write_concern on last executed command for current collection instance.

A write_concern must be at least MONGOC_WRITE_CONCERN_W_DEFAULT in last command execution for this to be available.

RETURNS

A bson_t that should not be modified or NULL \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.